Magick::ChannelPerceptualHash Class Reference

`#include <Statistic.h>`

## Public Member Functions

| ChannelPerceptualHash (void)
| ChannelPerceptualHash (const ChannelPerceptualHash &channelPerceptualHash_)
| ChannelPerceptualHash (const PixelChannel channel_, const std::string &hash_)
| ~ChannelPerceptualHash (void)
| operator std::string () const
PixelChannel | channel (void) const
bool | isValid () const
double | sumSquaredDifferences (const ChannelPerceptualHash &channelPerceptualHash_)
double | srgbHuPhash (const size_t index_) const
double | hclpHuPhash (const size_t index_) const
| ChannelPerceptualHash (const PixelChannel channel_, const MagickCore::ChannelPerceptualHash *channelPerceptualHash_)

## Detailed Description

Definition at line 81 of file Statistic.h.

## Constructor & Destructor Documentation

## ChannelPerceptualHash() [1/4]

Magick::ChannelPerceptualHash::ChannelPerceptualHash | ( | void |  | ) |

Definition at line 121 of file Statistic.cpp.

## ChannelPerceptualHash() [2/4]

Magick::ChannelPerceptualHash::ChannelPerceptualHash | ( | const ChannelPerceptualHash & | channelPerceptualHash_ | ) |

Definition at line 128 of file Statistic.cpp.

## ChannelPerceptualHash() [3/4]

Magick::ChannelPerceptualHash::ChannelPerceptualHash | ( | const PixelChannel | channel_,
|  | const std::string & | hash_
| ) |  |

Definition at line 136 of file Statistic.cpp.

## ~ChannelPerceptualHash()

Magick::ChannelPerceptualHash::~ChannelPerceptualHash | ( | void |  | ) |

Definition at line 169 of file Statistic.cpp.

## ChannelPerceptualHash() [4/4]

Magick::ChannelPerceptualHash::ChannelPerceptualHash | ( | const PixelChannel | channel_,
|  | const MagickCore::ChannelPerceptualHash * | channelPerceptualHash_
| ) |  |

Definition at line 263 of file Statistic.cpp.

## Member Function Documentation

## channel()

Magick::PixelChannel Magick::ChannelPerceptualHash::channel | ( | void |  | ) | const

Definition at line 217 of file Statistic.cpp.

## hclpHuPhash()

double Magick::ChannelPerceptualHash::hclpHuPhash | ( | const size_t | index_ | ) | const

Definition at line 255 of file Statistic.cpp.

## isValid()

bool Magick::ChannelPerceptualHash::isValid | ( | void |  | ) | const

Definition at line 222 of file Statistic.cpp.

## operator std::string()

Magick::ChannelPerceptualHash::operator std::string | ( |  | ) | const

Definition at line 173 of file Statistic.cpp.

## srgbHuPhash()

double Magick::ChannelPerceptualHash::srgbHuPhash | ( | const size_t | index_ | ) | const

Definition at line 247 of file Statistic.cpp.

## sumSquaredDifferences()

double Magick::ChannelPerceptualHash::sumSquaredDifferences | ( | const ChannelPerceptualHash & | channelPerceptualHash_ | ) |

Definition at line 227 of file Statistic.cpp.

The documentation for this class was generated from the following files:

- Statistic.h
- Statistic.cpp